Scheduling

Schedulers, tasks and the jobs they produce.

22 endpoints · Plakar Control Plane v0.18 · Base URL, authentication and errors

List the jobs

GET /api/v1/scheduling/jobs
Badge

Query parameters

  • offset integer
    Number of items to skip.
    Default: 0
  • limit integer
    Maximum number of items to return.
    Default: 50 Min: 1 Max: 50
  • resource_type string
    Which side resource_id matches.
    Allowed: origin, target
  • task_status string
    Only jobs in this state.
    Allowed: queued, running, canceled, succeeded, failed
  • task_type string
    Only jobs of this task type.
    Allowed: backup, sync, restore, check, prune, rm
  • task_id string<uuid>
    Only jobs of this task.
  • resource_id string<uuid>
    Only jobs touching this connector.
  • actor string
    Scheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user:: the personal scheduler of another user; needs view access on schedulers.
    Default: "default"
  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 OK application/json

  • items array[object]
    • created_at string<date-time>
    • error string nullable
    • id string<uuid>
    • schedule_at string<date-time>
    • schedule_id string<uuid>
    • started_at string<date-time> nullable
    • status string
    • stopped_at string<date-time> nullable
    • task object
      • config
      • created_at string<date-time>
      • edge_id string<uuid>
      • edge_tags array[string] nullable
      • id string<uuid>
      • origin object nullable
        • created_at string<date-time>
        • data_classes array[string] nullable
        • endpoints array[object]
          • endpoint string
        • environment string nullable
        • id string<uuid>
        • integration object
          • created_at string<date-time>
          • fields map[array[object]] nullable
          • id string<uuid>
          • name string nullable
          • protocols array[string] nullable
          • supports array[string] nullable
          • updated_at string<date-time>
          • version string nullable
        • inventory object nullable
          • id string<uuid>
          • name string
          • residency string nullable
          • type string
        • last_check string<date-time> nullable
        • location string nullable
        • name string
        • protocol string
        • resource object nullable
          • class string
          • configured_connectors array[object]
            • country_detected string nullable
            • id string<uuid>
            • integration object
              • created_at string<date-time>
              • fields map[array[object]] nullable
              • id string<uuid>
              • name string nullable
              • protocols array[string] nullable
              • supports array[string] nullable
              • updated_at string<date-time>
              • version string nullable
            • name string
            • residency string nullable
            • type string
          • country_detected string nullable
          • coverage_status string
          • excluded_from_coverage boolean
          • id string<uuid>
          • inventory_id string<uuid>
          • inventory_name string
          • inventory_type string
          • locked boolean
          • name string
          • residency string nullable
          • service string
          • subclass string
          • tags array[string]
          • urn string
          • urn_id string<uuid>
        • revision integer
        • root string
        • temperature string nullable
        • type string
        • updated_at string<date-time>
      • schedule object
        • concurrency integer nullable
        • enabled boolean
        • miss_strategy string
        • priority integer nullable
        • rules array[object]
          • enabled boolean
          • id string<uuid>
          • jitter integer nullable
            Max: 1.8446744073709552e+19
          • journalized boolean nullable
          • periodicity integer nullable
            Max: 1.8446744073709552e+19
          • start string<date-time> nullable
      • scheduler_actor string nullable
      • scheduler_id string<uuid>
      • scheduler_revision integer
      • sla_template object nullable
        • id string<uuid>
        • name string
        • temporalities map[object] nullable
          • created_at string<date-time>
          • frequency integer
          • id string<uuid>
          • replicas map[array[object]] nullable
          • retention integer
          • start_time string<date-time>
          • storage_tier string nullable
          • store_id string<uuid>
          • updated_at string<date-time>
      • target object nullable
        • created_at string<date-time>
        • data_classes array[string] nullable
        • endpoints array[object]
          • endpoint string
        • environment string nullable
        • id string<uuid>
        • integration object
          • created_at string<date-time>
          • fields map[array[object]] nullable
          • id string<uuid>
          • name string nullable
          • protocols array[string] nullable
          • supports array[string] nullable
          • updated_at string<date-time>
          • version string nullable
        • inventory object nullable
          • id string<uuid>
          • name string
          • residency string nullable
          • type string
        • last_check string<date-time> nullable
        • location string nullable
        • name string
        • protocol string
        • resource object nullable
          • class string
          • configured_connectors array[object]
            • country_detected string nullable
            • id string<uuid>
            • integration object
              • created_at string<date-time>
              • fields map[array[object]] nullable
              • id string<uuid>
              • name string nullable
              • protocols array[string] nullable
              • supports array[string] nullable
              • updated_at string<date-time>
              • version string nullable
            • name string
            • residency string nullable
            • type string
          • country_detected string nullable
          • coverage_status string
          • excluded_from_coverage boolean
          • id string<uuid>
          • inventory_id string<uuid>
          • inventory_name string
          • inventory_type string
          • locked boolean
          • name string
          • residency string nullable
          • service string
          • subclass string
          • tags array[string]
          • urn string
          • urn_id string<uuid>
        • revision integer
        • root string
        • temperature string nullable
        • type string
        • updated_at string<date-time>
      • type string
      • updated_at string<date-time>
  • total integer

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/scheduling/jobs' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "items": [
    {
      "created_at": "2026-01-01T00:00:00Z",
      "error": "string",
      "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "schedule_at": "2026-01-01T00:00:00Z",
      "schedule_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "started_at": "2026-01-01T00:00:00Z",
      "status": "string",
      "stopped_at": "2026-01-01T00:00:00Z",
      "task": {
        "config": {},
        "created_at": "2026-01-01T00:00:00Z",
        "edge_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
        "edge_tags": [
          "string"
        ],
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
        "origin": {
          "created_at": "2026-01-01T00:00:00Z",
          "data_classes": [
            "string"
          ],
          "endpoints": [
            {
              "endpoint": "string"
            }
          ],
          "environment": "string",
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "integration": {
            "created_at": "2026-01-01T00:00:00Z",
            "fields": {
              "key": [
                {
                  "default": "string",
                  "description": "string",
                  "display_name": "string",
                  "enum": [
                    "string"
                  ],
                  "inventory_value": "string",
                  "name": "string",
                  "pattern": "string",
                  "required": true,
                  "sensitive": true,
                  "type": "string"
                }
              ]
            },
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "name": "string",
            "protocols": [
              "string"
            ],
            "supports": [
              "string"
            ],
            "updated_at": "2026-01-01T00:00:00Z",
            "version": "string"
          },
          "inventory": {
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "name": "string",
            "residency": "string",
            "type": "string"
          },
          "last_check": "2026-01-01T00:00:00Z",
          "location": "string",
          "name": "string",
          "protocol": "string",
          "resource": {
            "class": "string",
            "configured_connectors": [
              {
                "country_detected": "string",
                "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
                "integration": {
                  "created_at": "2026-01-01T00:00:00Z",
                  "fields": {
                    "key": [
                      {
                        "default": "string",
                        "description": "string",
                        "display_name": "string",
                        "enum": [
                          "string"
                        ],
                        "inventory_value": "string",
                        "name": "string",
                        "pattern": "string",
                        "required": true,
                        "sensitive": true,
                        "type": "string"
                      }
                    ]
                  },
                  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
                  "name": "string",
                  "protocols": [
                    "string"
                  ],
                  "supports": [
                    "string"
                  ],
                  "updated_at": "2026-01-01T00:00:00Z",
                  "version": "string"
                },
                "name": "string",
                "residency": "string",
                "type": "string"
              }
            ],
            "country_detected": "string",
            "coverage_status": "string",
            "excluded_from_coverage": true,
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "inventory_name": "string",
            "inventory_type": "string",
            "locked": true,
            "name": "string",
            "residency": "string",
            "service": "string",
            "subclass": "string",
            "tags": [
              "string"
            ],
            "urn": "string",
            "urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
          },
          "revision": 0,
          "root": "string",
          "temperature": "string",
          "type": "string",
          "updated_at": "2026-01-01T00:00:00Z"
        },
        "schedule": {
          "concurrency": 0,
          "enabled": true,
          "miss_strategy": "string",
          "priority": 0,
          "rules": [
            {
              "enabled": true,
              "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
              "jitter": 0,
              "journalized": true,
              "periodicity": 0,
              "start": "2026-01-01T00:00:00Z"
            }
          ]
        },
        "scheduler_actor": "string",
        "scheduler_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
        "scheduler_revision": 0,
        "sla_template": {
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "name": "string",
          "temporalities": {
            "key": {
              "created_at": "2026-01-01T00:00:00Z",
              "frequency": 0,
              "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
              "replicas": {
                "key": [
                  {
                    "created_at": "2026-01-01T00:00:00Z",
                    "from": 0,
                    "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
                    "residency": "string",
                    "to": 0,
                    "updated_at": "2026-01-01T00:00:00Z"
                  }
                ]
              },
              "retention": 0,
              "start_time": "2026-01-01T00:00:00Z",
              "storage_tier": "string",
              "store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
              "updated_at": "2026-01-01T00:00:00Z"
            }
          }
        },
        "target": {
          "created_at": "2026-01-01T00:00:00Z",
          "data_classes": [
            "string"
          ],
          "endpoints": [
            {
              "endpoint": "string"
            }
          ],
          "environment": "string",
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "integration": {
            "created_at": "2026-01-01T00:00:00Z",
            "fields": {
              "key": [
                {
                  "default": "string",
                  "description": "string",
                  "display_name": "string",
                  "enum": [
                    "string"
                  ],
                  "inventory_value": "string",
                  "name": "string",
                  "pattern": "string",
                  "required": true,
                  "sensitive": true,
                  "type": "string"
                }
              ]
            },
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "name": "string",
            "protocols": [
              "string"
            ],
            "supports": [
              "string"
            ],
            "updated_at": "2026-01-01T00:00:00Z",
            "version": "string"
          },
          "inventory": {
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "name": "string",
            "residency": "string",
            "type": "string"
          },
          "last_check": "2026-01-01T00:00:00Z",
          "location": "string",
          "name": "string",
          "protocol": "string",
          "resource": {
            "class": "string",
            "configured_connectors": [
              {
                "country_detected": "string",
                "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
                "integration": {
                  "created_at": "2026-01-01T00:00:00Z",
                  "fields": {
                    "key": [
                      {
                        "default": "string",
                        "description": "string",
                        "display_name": "string",
                        "enum": [
                          "string"
                        ],
                        "inventory_value": "string",
                        "name": "string",
                        "pattern": "string",
                        "required": true,
                        "sensitive": true,
                        "type": "string"
                      }
                    ]
                  },
                  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
                  "name": "string",
                  "protocols": [
                    "string"
                  ],
                  "supports": [
                    "string"
                  ],
                  "updated_at": "2026-01-01T00:00:00Z",
                  "version": "string"
                },
                "name": "string",
                "residency": "string",
                "type": "string"
              }
            ],
            "country_detected": "string",
            "coverage_status": "string",
            "excluded_from_coverage": true,
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "inventory_name": "string",
            "inventory_type": "string",
            "locked": true,
            "name": "string",
            "residency": "string",
            "service": "string",
            "subclass": "string",
            "tags": [
              "string"
            ],
            "urn": "string",
            "urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
          },
          "revision": 0,
          "root": "string",
          "temperature": "string",
          "type": "string",
          "updated_at": "2026-01-01T00:00:00Z"
        },
        "type": "string",
        "updated_at": "2026-01-01T00:00:00Z"
      }
    }
  ],
  "total": 0
}

Get the log of a job

GET /api/v1/scheduling/jobs/{job_id}/log
Badge

Path parameters

  • job_id string<uuid> required
    Job ID, as listed by GET /scheduling/jobs.

Query parameters

  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 The job log text/plain

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/scheduling/jobs/{job_id}/log' \
  -H 'Authorization: Bearer <badge>'

Get the state of a job

GET /api/v1/scheduling/jobs/{job_id}/state
Badge

Path parameters

  • job_id string<uuid> required
    Job ID, as listed by GET /scheduling/jobs.

Query parameters

  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 OK application/json

  • chunks object
    • cached integer
      Max: 1.8446744073709552e+19
    • cached_size integer
      Max: 1.8446744073709552e+19
    • error integer
      Max: 1.8446744073709552e+19
    • ok integer
      Max: 1.8446744073709552e+19
    • size integer
      Max: 1.8446744073709552e+19
    • total integer
      Max: 1.8446744073709552e+19
  • dirs object
    • cached integer
      Max: 1.8446744073709552e+19
    • cached_size integer
      Max: 1.8446744073709552e+19
    • error integer
      Max: 1.8446744073709552e+19
    • ok integer
      Max: 1.8446744073709552e+19
    • size integer
      Max: 1.8446744073709552e+19
    • total integer
      Max: 1.8446744073709552e+19
  • files object
    • cached integer
      Max: 1.8446744073709552e+19
    • cached_size integer
      Max: 1.8446744073709552e+19
    • error integer
      Max: 1.8446744073709552e+19
    • ok integer
      Max: 1.8446744073709552e+19
    • size integer
      Max: 1.8446744073709552e+19
    • total integer
      Max: 1.8446744073709552e+19
  • io map[object]
    • r object
      • latency object
        • avg integer<int64>
        • count integer<int64>
        • max integer<int64>
        • p50 integer<int64>
        • p95 integer<int64>
      • overall number<double>
      • overall_wall number<double>
      • total integer<int64>
    • w object
      • latency object
        • avg integer<int64>
        • count integer<int64>
        • max integer<int64>
        • p50 integer<int64>
        • p95 integer<int64>
      • overall number<double>
      • overall_wall number<double>
      • total integer<int64>
  • latency array[object]
    • at integer<int64>
    • avg integer<int64>
    • count integer<int64>
    • max integer<int64>
    • p50 integer<int64>
    • p95 integer<int64>
  • network array[object]
    • at integer<int64>
    • read_bps number<double>
    • write_bps number<double>
  • num_cpu integer
  • objects object
    • cached integer
      Max: 1.8446744073709552e+19
    • cached_size integer
      Max: 1.8446744073709552e+19
    • error integer
      Max: 1.8446744073709552e+19
    • ok integer
      Max: 1.8446744073709552e+19
    • size integer
      Max: 1.8446744073709552e+19
    • total integer
      Max: 1.8446744073709552e+19
  • paths object
    • cached integer
      Max: 1.8446744073709552e+19
    • cached_size integer
      Max: 1.8446744073709552e+19
    • error integer
      Max: 1.8446744073709552e+19
    • ok integer
      Max: 1.8446744073709552e+19
    • size integer
      Max: 1.8446744073709552e+19
    • total integer
      Max: 1.8446744073709552e+19
  • phase string
  • processed object
    • bytes integer
      Max: 1.8446744073709552e+19
    • items integer
      Max: 1.8446744073709552e+19
  • recent_paths array[object]
    • path string
    • status string
  • resources array[object]
    • at integer<int64>
    • cpu_percent number<double>
    • memory_bytes integer
      Max: 1.8446744073709552e+19
  • result object
    • duration number<double>
    • errors integer
      Max: 1.8446744073709552e+19
    • size integer
      Max: 1.8446744073709552e+19
  • snapshot_id string
  • summary object
    • directories integer
      Max: 1.8446744073709552e+19
    • exists boolean
    • files integer
      Max: 1.8446744073709552e+19
    • paths integer
      Max: 1.8446744073709552e+19
    • size integer
      Max: 1.8446744073709552e+19
    • symlinks integer
      Max: 1.8446744073709552e+19
    • xattrs integer
      Max: 1.8446744073709552e+19
  • symlinks object
    • cached integer
      Max: 1.8446744073709552e+19
    • cached_size integer
      Max: 1.8446744073709552e+19
    • error integer
      Max: 1.8446744073709552e+19
    • ok integer
      Max: 1.8446744073709552e+19
    • size integer
      Max: 1.8446744073709552e+19
    • total integer
      Max: 1.8446744073709552e+19
  • version string
  • xattrs object
    • cached integer
      Max: 1.8446744073709552e+19
    • cached_size integer
      Max: 1.8446744073709552e+19
    • error integer
      Max: 1.8446744073709552e+19
    • ok integer
      Max: 1.8446744073709552e+19
    • size integer
      Max: 1.8446744073709552e+19
    • total integer
      Max: 1.8446744073709552e+19

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/scheduling/jobs/{job_id}/state' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "chunks": {
    "cached": 0,
    "cached_size": 0,
    "error": 0,
    "ok": 0,
    "size": 0,
    "total": 0
  },
  "dirs": {
    "cached": 0,
    "cached_size": 0,
    "error": 0,
    "ok": 0,
    "size": 0,
    "total": 0
  },
  "files": {
    "cached": 0,
    "cached_size": 0,
    "error": 0,
    "ok": 0,
    "size": 0,
    "total": 0
  },
  "io": {
    "key": {
      "r": {
        "latency": {
          "avg": 0,
          "count": 0,
          "max": 0,
          "p50": 0,
          "p95": 0
        },
        "overall": 0,
        "overall_wall": 0,
        "total": 0
      },
      "w": {
        "latency": {
          "avg": 0,
          "count": 0,
          "max": 0,
          "p50": 0,
          "p95": 0
        },
        "overall": 0,
        "overall_wall": 0,
        "total": 0
      }
    }
  },
  "latency": [
    {
      "at": 0,
      "avg": 0,
      "count": 0,
      "max": 0,
      "p50": 0,
      "p95": 0
    }
  ],
  "network": [
    {
      "at": 0,
      "read_bps": 0,
      "write_bps": 0
    }
  ],
  "num_cpu": 0,
  "objects": {
    "cached": 0,
    "cached_size": 0,
    "error": 0,
    "ok": 0,
    "size": 0,
    "total": 0
  },
  "paths": {
    "cached": 0,
    "cached_size": 0,
    "error": 0,
    "ok": 0,
    "size": 0,
    "total": 0
  },
  "phase": "string",
  "processed": {
    "bytes": 0,
    "items": 0
  },
  "recent_paths": [
    {
      "path": "string",
      "status": "string"
    }
  ],
  "resources": [
    {
      "at": 0,
      "cpu_percent": 0,
      "memory_bytes": 0
    }
  ],
  "result": {
    "duration": 0,
    "errors": 0,
    "size": 0
  },
  "snapshot_id": "string",
  "summary": {
    "directories": 0,
    "exists": true,
    "files": 0,
    "paths": 0,
    "size": 0,
    "symlinks": 0,
    "xattrs": 0
  },
  "symlinks": {
    "cached": 0,
    "cached_size": 0,
    "error": 0,
    "ok": 0,
    "size": 0,
    "total": 0
  },
  "version": "string",
  "xattrs": {
    "cached": 0,
    "cached_size": 0,
    "error": 0,
    "ok": 0,
    "size": 0,
    "total": 0
  }
}

Get a scheduler

GET /api/v1/scheduling/scheduler
Badge

Query parameters

  • actor string
    Scheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user:: the personal scheduler of another user; needs view access on schedulers.
    Default: "default"
  • revision integer
    Revision to load. 0 is the current one.
    Default: 0
  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 OK application/json

  • actor string
  • created_at string<date-time>
  • description string
  • enabled boolean
  • id string<uuid>
  • name string
  • revision integer
  • tasks array[object]
    • config
    • created_at string<date-time>
    • edge_id string<uuid>
    • edge_tags array[string] nullable
    • id string<uuid>
    • origin object nullable
      • created_at string<date-time>
      • data_classes array[string] nullable
      • endpoints array[object]
        • endpoint string
      • environment string nullable
      • id string<uuid>
      • integration object
        • created_at string<date-time>
        • fields map[array[object]] nullable
        • id string<uuid>
        • name string nullable
        • protocols array[string] nullable
        • supports array[string] nullable
        • updated_at string<date-time>
        • version string nullable
      • inventory object nullable
        • id string<uuid>
        • name string
        • residency string nullable
        • type string
      • last_check string<date-time> nullable
      • location string nullable
      • name string
      • protocol string
      • resource object nullable
        • class string
        • configured_connectors array[object]
          • country_detected string nullable
          • id string<uuid>
          • integration object
            • created_at string<date-time>
            • fields map[array[object]] nullable
            • id string<uuid>
            • name string nullable
            • protocols array[string] nullable
            • supports array[string] nullable
            • updated_at string<date-time>
            • version string nullable
          • name string
          • residency string nullable
          • type string
        • country_detected string nullable
        • coverage_status string
        • excluded_from_coverage boolean
        • id string<uuid>
        • inventory_id string<uuid>
        • inventory_name string
        • inventory_type string
        • locked boolean
        • name string
        • residency string nullable
        • service string
        • subclass string
        • tags array[string]
        • urn string
        • urn_id string<uuid>
      • revision integer
      • root string
      • temperature string nullable
      • type string
      • updated_at string<date-time>
    • schedule object
      • concurrency integer nullable
      • enabled boolean
      • miss_strategy string
      • priority integer nullable
      • rules array[object]
        • enabled boolean
        • id string<uuid>
        • jitter integer nullable
          Max: 1.8446744073709552e+19
        • journalized boolean nullable
        • periodicity integer nullable
          Max: 1.8446744073709552e+19
        • start string<date-time> nullable
    • scheduler_actor string nullable
    • scheduler_id string<uuid>
    • scheduler_revision integer
    • sla_template object nullable
      • id string<uuid>
      • name string
      • temporalities map[object] nullable
        • created_at string<date-time>
        • frequency integer
        • id string<uuid>
        • replicas map[array[object]] nullable
        • retention integer
        • start_time string<date-time>
        • storage_tier string nullable
        • store_id string<uuid>
        • updated_at string<date-time>
    • target object nullable
      • created_at string<date-time>
      • data_classes array[string] nullable
      • endpoints array[object]
        • endpoint string
      • environment string nullable
      • id string<uuid>
      • integration object
        • created_at string<date-time>
        • fields map[array[object]] nullable
        • id string<uuid>
        • name string nullable
        • protocols array[string] nullable
        • supports array[string] nullable
        • updated_at string<date-time>
        • version string nullable
      • inventory object nullable
        • id string<uuid>
        • name string
        • residency string nullable
        • type string
      • last_check string<date-time> nullable
      • location string nullable
      • name string
      • protocol string
      • resource object nullable
        • class string
        • configured_connectors array[object]
          • country_detected string nullable
          • id string<uuid>
          • integration object
            • created_at string<date-time>
            • fields map[array[object]] nullable
            • id string<uuid>
            • name string nullable
            • protocols array[string] nullable
            • supports array[string] nullable
            • updated_at string<date-time>
            • version string nullable
          • name string
          • residency string nullable
          • type string
        • country_detected string nullable
        • coverage_status string
        • excluded_from_coverage boolean
        • id string<uuid>
        • inventory_id string<uuid>
        • inventory_name string
        • inventory_type string
        • locked boolean
        • name string
        • residency string nullable
        • service string
        • subclass string
        • tags array[string]
        • urn string
        • urn_id string<uuid>
      • revision integer
      • root string
      • temperature string nullable
      • type string
      • updated_at string<date-time>
    • type string
    • updated_at string<date-time>
  • updated_at string<date-time>

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/scheduling/scheduler' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "actor": "string",
  "created_at": "2026-01-01T00:00:00Z",
  "description": "string",
  "enabled": true,
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "name": "string",
  "revision": 0,
  "tasks": [
    {
      "config": {},
      "created_at": "2026-01-01T00:00:00Z",
      "edge_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "edge_tags": [
        "string"
      ],
      "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "origin": {
        "created_at": "2026-01-01T00:00:00Z",
        "data_classes": [
          "string"
        ],
        "endpoints": [
          {
            "endpoint": "string"
          }
        ],
        "environment": "string",
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
        "integration": {
          "created_at": "2026-01-01T00:00:00Z",
          "fields": {
            "key": [
              {
                "default": "string",
                "description": "string",
                "display_name": "string",
                "enum": [
                  "string"
                ],
                "inventory_value": "string",
                "name": "string",
                "pattern": "string",
                "required": true,
                "sensitive": true,
                "type": "string"
              }
            ]
          },
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "name": "string",
          "protocols": [
            "string"
          ],
          "supports": [
            "string"
          ],
          "updated_at": "2026-01-01T00:00:00Z",
          "version": "string"
        },
        "inventory": {
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "name": "string",
          "residency": "string",
          "type": "string"
        },
        "last_check": "2026-01-01T00:00:00Z",
        "location": "string",
        "name": "string",
        "protocol": "string",
        "resource": {
          "class": "string",
          "configured_connectors": [
            {
              "country_detected": "string",
              "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
              "integration": {
                "created_at": "2026-01-01T00:00:00Z",
                "fields": {
                  "key": [
                    {
                      "default": "string",
                      "description": "string",
                      "display_name": "string",
                      "enum": [
                        "string"
                      ],
                      "inventory_value": "string",
                      "name": "string",
                      "pattern": "string",
                      "required": true,
                      "sensitive": true,
                      "type": "string"
                    }
                  ]
                },
                "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
                "name": "string",
                "protocols": [
                  "string"
                ],
                "supports": [
                  "string"
                ],
                "updated_at": "2026-01-01T00:00:00Z",
                "version": "string"
              },
              "name": "string",
              "residency": "string",
              "type": "string"
            }
          ],
          "country_detected": "string",
          "coverage_status": "string",
          "excluded_from_coverage": true,
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "inventory_name": "string",
          "inventory_type": "string",
          "locked": true,
          "name": "string",
          "residency": "string",
          "service": "string",
          "subclass": "string",
          "tags": [
            "string"
          ],
          "urn": "string",
          "urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
        },
        "revision": 0,
        "root": "string",
        "temperature": "string",
        "type": "string",
        "updated_at": "2026-01-01T00:00:00Z"
      },
      "schedule": {
        "concurrency": 0,
        "enabled": true,
        "miss_strategy": "string",
        "priority": 0,
        "rules": [
          {
            "enabled": true,
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "jitter": 0,
            "journalized": true,
            "periodicity": 0,
            "start": "2026-01-01T00:00:00Z"
          }
        ]
      },
      "scheduler_actor": "string",
      "scheduler_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "scheduler_revision": 0,
      "sla_template": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
        "name": "string",
        "temporalities": {
          "key": {
            "created_at": "2026-01-01T00:00:00Z",
            "frequency": 0,
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "replicas": {
              "key": [
                {
                  "created_at": "2026-01-01T00:00:00Z",
                  "from": 0,
                  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
                  "residency": "string",
                  "to": 0,
                  "updated_at": "2026-01-01T00:00:00Z"
                }
              ]
            },
            "retention": 0,
            "start_time": "2026-01-01T00:00:00Z",
            "storage_tier": "string",
            "store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "updated_at": "2026-01-01T00:00:00Z"
          }
        }
      },
      "target": {
        "created_at": "2026-01-01T00:00:00Z",
        "data_classes": [
          "string"
        ],
        "endpoints": [
          {
            "endpoint": "string"
          }
        ],
        "environment": "string",
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
        "integration": {
          "created_at": "2026-01-01T00:00:00Z",
          "fields": {
            "key": [
              {
                "default": "string",
                "description": "string",
                "display_name": "string",
                "enum": [
                  "string"
                ],
                "inventory_value": "string",
                "name": "string",
                "pattern": "string",
                "required": true,
                "sensitive": true,
                "type": "string"
              }
            ]
          },
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "name": "string",
          "protocols": [
            "string"
          ],
          "supports": [
            "string"
          ],
          "updated_at": "2026-01-01T00:00:00Z",
          "version": "string"
        },
        "inventory": {
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "name": "string",
          "residency": "string",
          "type": "string"
        },
        "last_check": "2026-01-01T00:00:00Z",
        "location": "string",
        "name": "string",
        "protocol": "string",
        "resource": {
          "class": "string",
          "configured_connectors": [
            {
              "country_detected": "string",
              "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
              "integration": {
                "created_at": "2026-01-01T00:00:00Z",
                "fields": {
                  "key": [
                    {
                      "default": "string",
                      "description": "string",
                      "display_name": "string",
                      "enum": [
                        "string"
                      ],
                      "inventory_value": "string",
                      "name": "string",
                      "pattern": "string",
                      "required": true,
                      "sensitive": true,
                      "type": "string"
                    }
                  ]
                },
                "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
                "name": "string",
                "protocols": [
                  "string"
                ],
                "supports": [
                  "string"
                ],
                "updated_at": "2026-01-01T00:00:00Z",
                "version": "string"
              },
              "name": "string",
              "residency": "string",
              "type": "string"
            }
          ],
          "country_detected": "string",
          "coverage_status": "string",
          "excluded_from_coverage": true,
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "inventory_name": "string",
          "inventory_type": "string",
          "locked": true,
          "name": "string",
          "residency": "string",
          "service": "string",
          "subclass": "string",
          "tags": [
            "string"
          ],
          "urn": "string",
          "urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
        },
        "revision": 0,
        "root": "string",
        "temperature": "string",
        "type": "string",
        "updated_at": "2026-01-01T00:00:00Z"
      },
      "type": "string",
      "updated_at": "2026-01-01T00:00:00Z"
    }
  ],
  "updated_at": "2026-01-01T00:00:00Z"
}

Create the personal scheduler of the caller

POST /api/v1/scheduling/scheduler
Badge

Query parameters

  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 OK application/json

  • actor string
  • created_at string<date-time>
  • description string
  • enabled boolean
  • id string<uuid>
  • name string
  • revision integer
  • tasks array[object]
    • config
    • created_at string<date-time>
    • edge_id string<uuid>
    • edge_tags array[string] nullable
    • id string<uuid>
    • origin object nullable
      • created_at string<date-time>
      • data_classes array[string] nullable
      • endpoints array[object]
        • endpoint string
      • environment string nullable
      • id string<uuid>
      • integration object
        • created_at string<date-time>
        • fields map[array[object]] nullable
        • id string<uuid>
        • name string nullable
        • protocols array[string] nullable
        • supports array[string] nullable
        • updated_at string<date-time>
        • version string nullable
      • inventory object nullable
        • id string<uuid>
        • name string
        • residency string nullable
        • type string
      • last_check string<date-time> nullable
      • location string nullable
      • name string
      • protocol string
      • resource object nullable
        • class string
        • configured_connectors array[object]
          • country_detected string nullable
          • id string<uuid>
          • integration object
            • created_at string<date-time>
            • fields map[array[object]] nullable
            • id string<uuid>
            • name string nullable
            • protocols array[string] nullable
            • supports array[string] nullable
            • updated_at string<date-time>
            • version string nullable
          • name string
          • residency string nullable
          • type string
        • country_detected string nullable
        • coverage_status string
        • excluded_from_coverage boolean
        • id string<uuid>
        • inventory_id string<uuid>
        • inventory_name string
        • inventory_type string
        • locked boolean
        • name string
        • residency string nullable
        • service string
        • subclass string
        • tags array[string]
        • urn string
        • urn_id string<uuid>
      • revision integer
      • root string
      • temperature string nullable
      • type string
      • updated_at string<date-time>
    • schedule object
      • concurrency integer nullable
      • enabled boolean
      • miss_strategy string
      • priority integer nullable
      • rules array[object]
        • enabled boolean
        • id string<uuid>
        • jitter integer nullable
          Max: 1.8446744073709552e+19
        • journalized boolean nullable
        • periodicity integer nullable
          Max: 1.8446744073709552e+19
        • start string<date-time> nullable
    • scheduler_actor string nullable
    • scheduler_id string<uuid>
    • scheduler_revision integer
    • sla_template object nullable
      • id string<uuid>
      • name string
      • temporalities map[object] nullable
        • created_at string<date-time>
        • frequency integer
        • id string<uuid>
        • replicas map[array[object]] nullable
        • retention integer
        • start_time string<date-time>
        • storage_tier string nullable
        • store_id string<uuid>
        • updated_at string<date-time>
    • target object nullable
      • created_at string<date-time>
      • data_classes array[string] nullable
      • endpoints array[object]
        • endpoint string
      • environment string nullable
      • id string<uuid>
      • integration object
        • created_at string<date-time>
        • fields map[array[object]] nullable
        • id string<uuid>
        • name string nullable
        • protocols array[string] nullable
        • supports array[string] nullable
        • updated_at string<date-time>
        • version string nullable
      • inventory object nullable
        • id string<uuid>
        • name string
        • residency string nullable
        • type string
      • last_check string<date-time> nullable
      • location string nullable
      • name string
      • protocol string
      • resource object nullable
        • class string
        • configured_connectors array[object]
          • country_detected string nullable
          • id string<uuid>
          • integration object
            • created_at string<date-time>
            • fields map[array[object]] nullable
            • id string<uuid>
            • name string nullable
            • protocols array[string] nullable
            • supports array[string] nullable
            • updated_at string<date-time>
            • version string nullable
          • name string
          • residency string nullable
          • type string
        • country_detected string nullable
        • coverage_status string
        • excluded_from_coverage boolean
        • id string<uuid>
        • inventory_id string<uuid>
        • inventory_name string
        • inventory_type string
        • locked boolean
        • name string
        • residency string nullable
        • service string
        • subclass string
        • tags array[string]
        • urn string
        • urn_id string<uuid>
      • revision integer
      • root string
      • temperature string nullable
      • type string
      • updated_at string<date-time>
    • type string
    • updated_at string<date-time>
  • updated_at string<date-time>

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/scheduling/scheduler' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "actor": "string",
  "created_at": "2026-01-01T00:00:00Z",
  "description": "string",
  "enabled": true,
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "name": "string",
  "revision": 0,
  "tasks": [
    {
      "config": {},
      "created_at": "2026-01-01T00:00:00Z",
      "edge_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "edge_tags": [
        "string"
      ],
      "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "origin": {
        "created_at": "2026-01-01T00:00:00Z",
        "data_classes": [
          "string"
        ],
        "endpoints": [
          {
            "endpoint": "string"
          }
        ],
        "environment": "string",
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
        "integration": {
          "created_at": "2026-01-01T00:00:00Z",
          "fields": {
            "key": [
              {
                "default": "string",
                "description": "string",
                "display_name": "string",
                "enum": [
                  "string"
                ],
                "inventory_value": "string",
                "name": "string",
                "pattern": "string",
                "required": true,
                "sensitive": true,
                "type": "string"
              }
            ]
          },
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "name": "string",
          "protocols": [
            "string"
          ],
          "supports": [
            "string"
          ],
          "updated_at": "2026-01-01T00:00:00Z",
          "version": "string"
        },
        "inventory": {
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "name": "string",
          "residency": "string",
          "type": "string"
        },
        "last_check": "2026-01-01T00:00:00Z",
        "location": "string",
        "name": "string",
        "protocol": "string",
        "resource": {
          "class": "string",
          "configured_connectors": [
            {
              "country_detected": "string",
              "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
              "integration": {
                "created_at": "2026-01-01T00:00:00Z",
                "fields": {
                  "key": [
                    {
                      "default": "string",
                      "description": "string",
                      "display_name": "string",
                      "enum": [
                        "string"
                      ],
                      "inventory_value": "string",
                      "name": "string",
                      "pattern": "string",
                      "required": true,
                      "sensitive": true,
                      "type": "string"
                    }
                  ]
                },
                "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
                "name": "string",
                "protocols": [
                  "string"
                ],
                "supports": [
                  "string"
                ],
                "updated_at": "2026-01-01T00:00:00Z",
                "version": "string"
              },
              "name": "string",
              "residency": "string",
              "type": "string"
            }
          ],
          "country_detected": "string",
          "coverage_status": "string",
          "excluded_from_coverage": true,
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "inventory_name": "string",
          "inventory_type": "string",
          "locked": true,
          "name": "string",
          "residency": "string",
          "service": "string",
          "subclass": "string",
          "tags": [
            "string"
          ],
          "urn": "string",
          "urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
        },
        "revision": 0,
        "root": "string",
        "temperature": "string",
        "type": "string",
        "updated_at": "2026-01-01T00:00:00Z"
      },
      "schedule": {
        "concurrency": 0,
        "enabled": true,
        "miss_strategy": "string",
        "priority": 0,
        "rules": [
          {
            "enabled": true,
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "jitter": 0,
            "journalized": true,
            "periodicity": 0,
            "start": "2026-01-01T00:00:00Z"
          }
        ]
      },
      "scheduler_actor": "string",
      "scheduler_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "scheduler_revision": 0,
      "sla_template": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
        "name": "string",
        "temporalities": {
          "key": {
            "created_at": "2026-01-01T00:00:00Z",
            "frequency": 0,
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "replicas": {
              "key": [
                {
                  "created_at": "2026-01-01T00:00:00Z",
                  "from": 0,
                  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
                  "residency": "string",
                  "to": 0,
                  "updated_at": "2026-01-01T00:00:00Z"
                }
              ]
            },
            "retention": 0,
            "start_time": "2026-01-01T00:00:00Z",
            "storage_tier": "string",
            "store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "updated_at": "2026-01-01T00:00:00Z"
          }
        }
      },
      "target": {
        "created_at": "2026-01-01T00:00:00Z",
        "data_classes": [
          "string"
        ],
        "endpoints": [
          {
            "endpoint": "string"
          }
        ],
        "environment": "string",
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
        "integration": {
          "created_at": "2026-01-01T00:00:00Z",
          "fields": {
            "key": [
              {
                "default": "string",
                "description": "string",
                "display_name": "string",
                "enum": [
                  "string"
                ],
                "inventory_value": "string",
                "name": "string",
                "pattern": "string",
                "required": true,
                "sensitive": true,
                "type": "string"
              }
            ]
          },
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "name": "string",
          "protocols": [
            "string"
          ],
          "supports": [
            "string"
          ],
          "updated_at": "2026-01-01T00:00:00Z",
          "version": "string"
        },
        "inventory": {
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "name": "string",
          "residency": "string",
          "type": "string"
        },
        "last_check": "2026-01-01T00:00:00Z",
        "location": "string",
        "name": "string",
        "protocol": "string",
        "resource": {
          "class": "string",
          "configured_connectors": [
            {
              "country_detected": "string",
              "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
              "integration": {
                "created_at": "2026-01-01T00:00:00Z",
                "fields": {
                  "key": [
                    {
                      "default": "string",
                      "description": "string",
                      "display_name": "string",
                      "enum": [
                        "string"
                      ],
                      "inventory_value": "string",
                      "name": "string",
                      "pattern": "string",
                      "required": true,
                      "sensitive": true,
                      "type": "string"
                    }
                  ]
                },
                "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
                "name": "string",
                "protocols": [
                  "string"
                ],
                "supports": [
                  "string"
                ],
                "updated_at": "2026-01-01T00:00:00Z",
                "version": "string"
              },
              "name": "string",
              "residency": "string",
              "type": "string"
            }
          ],
          "country_detected": "string",
          "coverage_status": "string",
          "excluded_from_coverage": true,
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "inventory_name": "string",
          "inventory_type": "string",
          "locked": true,
          "name": "string",
          "residency": "string",
          "service": "string",
          "subclass": "string",
          "tags": [
            "string"
          ],
          "urn": "string",
          "urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
        },
        "revision": 0,
        "root": "string",
        "temperature": "string",
        "type": "string",
        "updated_at": "2026-01-01T00:00:00Z"
      },
      "type": "string",
      "updated_at": "2026-01-01T00:00:00Z"
    }
  ],
  "updated_at": "2026-01-01T00:00:00Z"
}

Delete the personal scheduler of the caller

DELETE /api/v1/scheduling/scheduler
Badge

Query parameters

  • actor string
    Only user is accepted.
    Allowed: user
  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 OK

No response body.

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X DELETE 'https://pcp.example.com/api/v1/scheduling/scheduler' \
  -H 'Authorization: Bearer <badge>'

Get the access control of a scheduler

GET /api/v1/scheduling/scheduler/access
Badge

Query parameters

  • actor string
    Scheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user:: the personal scheduler of another user; needs view access on schedulers.
    Default: "default"
  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 OK application/json

  • can_execute array[string]
  • can_own array[string]
  • can_read array[string]
  • can_write array[string]

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/scheduling/scheduler/access' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "can_execute": [
    "string"
  ],
  "can_own": [
    "string"
  ],
  "can_read": [
    "string"
  ],
  "can_write": [
    "string"
  ]
}

Set the access control of a scheduler

PUT /api/v1/scheduling/scheduler/access
Badge

Query parameters

  • actor string
    Scheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user:: the personal scheduler of another user; needs view access on schedulers.
    Default: "default"
  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Request body application/json required

  • assignments array[object]
    • group_ids array[string<uuid>] required
    • role string required
  • confirm_widen boolean

Response 200 OK application/json

  • can_execute array[string]
  • can_own array[string]
  • can_read array[string]
  • can_write array[string]

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X PUT 'https://pcp.example.com/api/v1/scheduling/scheduler/access' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "assignments": [
    {
      "group_ids": [
        "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      ],
      "role": "string"
    }
  ],
  "confirm_widen": true
}'

Response 200

{
  "can_execute": [
    "string"
  ],
  "can_own": [
    "string"
  ],
  "can_read": [
    "string"
  ],
  "can_write": [
    "string"
  ]
}

Cancel a job

POST /api/v1/scheduling/scheduler/jobs/cancel/{job_id}
Badge

Path parameters

  • job_id string<uuid> required
    Job ID, as listed by GET /scheduling/jobs.

Query parameters

  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 OK application/json

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/scheduling/scheduler/jobs/cancel/{job_id}' \
  -H 'Authorization: Bearer <badge>'

Response 200

{}

List the jobs around now

GET /api/v1/scheduling/scheduler/jobs/nearby
Badge

Query parameters

  • actor string
    Scheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user:: the personal scheduler of another user; needs view access on schedulers.
    Default: "default"
  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 OK application/json

  • scheduler_id string<uuid>
  • scheduler_revision integer
  • tasks array[object]
    • last_run object nullable
      • scheduled_at string<date-time>
      • scheduler_revision integer
      • status string
    • last_successful_run object nullable
      • scheduled_at string<date-time>
      • scheduler_revision integer
      • status string
    • next_run object nullable
      • scheduled_at string<date-time>
      • scheduler_revision integer
      • status string
    • task_id string<uuid>

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/scheduling/scheduler/jobs/nearby' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "scheduler_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "scheduler_revision": 0,
  "tasks": [
    {
      "last_run": {
        "scheduled_at": "2026-01-01T00:00:00Z",
        "scheduler_revision": 0,
        "status": "string"
      },
      "last_successful_run": {
        "scheduled_at": "2026-01-01T00:00:00Z",
        "scheduler_revision": 0,
        "status": "string"
      },
      "next_run": {
        "scheduled_at": "2026-01-01T00:00:00Z",
        "scheduler_revision": 0,
        "status": "string"
      },
      "task_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
    }
  ]
}

List the planned jobs

GET /api/v1/scheduling/scheduler/jobs/planned
Badge

Query parameters

  • actor string
    Scheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user:: the personal scheduler of another user; needs view access on schedulers.
    Default: "default"
  • revision integer
    Scheduler revision. 0 is the current one.
    Default: 0
  • t0 string<date-time>
    Start of the window. Defaults to now.
  • t1 string<date-time>
    End of the window.
  • count integer
    Maximum number of jobs.
    Default: 100 Min: 1 Max: 100
  • task_id string<uuid>
    Only this task.
  • resource_id string<uuid>
    Only tasks touching this connector.
  • task_type string
    Only tasks of this type.
    Allowed: backup, sync, restore, check, prune, rm
  • resource_type string
    Which side resource_id matches.
    Allowed: origin, target
  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 OK application/json

  • jobs array[object]
    • schedule_at string<date-time>
    • schedule_id string<uuid>
    • task_id string<uuid>
  • scheduler_id string<uuid>
  • scheduler_revision integer

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/scheduling/scheduler/jobs/planned' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "jobs": [
    {
      "schedule_at": "2026-01-01T00:00:00Z",
      "schedule_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "task_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
    }
  ],
  "scheduler_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "scheduler_revision": 0
}

Export the job journal

GET /api/v1/scheduling/scheduler/journal
Badge

Query parameters

  • since string<date-time> required
    Export the jobs since this time.
  • actor string
    Scheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user:: the personal scheduler of another user; needs view access on schedulers.
    Default: "default"
  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 The jobs, as CSV text/csv

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/scheduling/scheduler/journal' \
  -H 'Authorization: Bearer <badge>'

Get the roles of a scheduler

GET /api/v1/scheduling/scheduler/roles
Badge

Query parameters

  • actor string
    Scheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user:: the personal scheduler of another user; needs view access on schedulers.
    Default: "default"
  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 OK application/json

  • can_execute array[string]
  • can_own array[string]
  • can_read array[string]
  • can_write array[string]

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/scheduling/scheduler/roles' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "can_execute": [
    "string"
  ],
  "can_own": [
    "string"
  ],
  "can_read": [
    "string"
  ],
  "can_write": [
    "string"
  ]
}

Set the roles of a scheduler

PUT /api/v1/scheduling/scheduler/roles
Badge

Query parameters

  • actor string
    Scheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user:: the personal scheduler of another user; needs view access on schedulers.
    Default: "default"
  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Request body application/json required

  • can_execute array[string]
  • can_own array[string]
  • can_read array[string]
  • can_write array[string]

Response 200 OK application/json

  • can_execute array[string]
  • can_own array[string]
  • can_read array[string]
  • can_write array[string]

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X PUT 'https://pcp.example.com/api/v1/scheduling/scheduler/roles' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "can_execute": [
    "string"
  ],
  "can_own": [
    "string"
  ],
  "can_read": [
    "string"
  ],
  "can_write": [
    "string"
  ]
}'

Response 200

{
  "can_execute": [
    "string"
  ],
  "can_own": [
    "string"
  ],
  "can_read": [
    "string"
  ],
  "can_write": [
    "string"
  ]
}

Run a one-off task

POST /api/v1/scheduling/scheduler/run
Badge

Query parameters

  • actor string
    Scheduler to address. default: tasks created through the UI or the API. policy: tasks created by SLA policies, and their jobs. custom: tasks of integrations that drive the scheduler, such as Kubernetes; deprecated in favor of user:. user: the caller’s personal scheduler; 404 until POST /scheduling/scheduler creates it. user:: the personal scheduler of another user; needs view access on schedulers.
    Default: "default"
  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Request body application/json required

  • config object
    • after integer nullable
      Max: 1.8446744073709552e+19
    • before integer nullable
      Max: 1.8446744073709552e+19
    • day integer nullable
    • exec object
      • concurrency integer
      • cpu integer
    • format string nullable
    • hooks object
      • post_job string nullable
      • pre_job string nullable
    • hour integer nullable
    • ignores array[string] nullable
    • labels array[string] nullable
    • latest boolean nullable
    • locate object
      • filters object
        • before string<date-time> nullable
        • category string nullable
        • data_classes array[string] nullable
        • dataset string nullable
        • environment string nullable
        • ids array[string] nullable
        • ignore_tags array[string] nullable
        • job string nullable
        • latest boolean nullable
        • name string nullable
        • origins array[string] nullable
        • perimeter string nullable
        • roots array[string] nullable
        • since string<date-time> nullable
        • tags array[string] nullable
        • types array[string] nullable
      • group_by string nullable
      • periods object
        • day object
          • cap integer nullable
          • keep integer nullable
        • friday object
          • cap integer nullable
          • keep integer nullable
        • hour object
          • cap integer nullable
          • keep integer nullable
        • minute object
          • cap integer nullable
          • keep integer nullable
        • monday object
          • cap integer nullable
          • keep integer nullable
        • month object
          • cap integer nullable
          • keep integer nullable
        • saturday object
          • cap integer nullable
          • keep integer nullable
        • sunday object
          • cap integer nullable
          • keep integer nullable
        • thursday object
          • cap integer nullable
          • keep integer nullable
        • tuesday object
          • cap integer nullable
          • keep integer nullable
        • wednesday object
          • cap integer nullable
          • keep integer nullable
        • week object
          • cap integer nullable
          • keep integer nullable
        • year object
          • cap integer nullable
          • keep integer nullable
    • minute integer nullable
    • month integer nullable
    • per_day integer nullable
    • per_hour integer nullable
    • per_minute integer nullable
    • per_month integer nullable
    • per_week integer nullable
    • per_year integer nullable
    • root string nullable
    • snapshot_id string nullable
    • snapshot_ids array[string] nullable
    • week integer nullable
    • year integer nullable
  • edge_id string<uuid>
  • edge_tags array[string] nullable
  • origin_id string<uuid>
  • run_at string<date-time>
  • target_id string<uuid>
  • type string

Response 200 OK application/json

  • id string<uuid>
  • job object nullable
    • created_at string<date-time>
    • error string nullable
    • id string<uuid>
    • schedule_at string<date-time>
    • schedule_id string<uuid>
    • started_at string<date-time> nullable
    • status string
    • stopped_at string<date-time> nullable
    • task object
      • config
      • created_at string<date-time>
      • edge_id string<uuid>
      • edge_tags array[string] nullable
      • id string<uuid>
      • origin object nullable
        • created_at string<date-time>
        • data_classes array[string] nullable
        • endpoints array[object]
          • endpoint string
        • environment string nullable
        • id string<uuid>
        • integration object
          • created_at string<date-time>
          • fields map[array[object]] nullable
          • id string<uuid>
          • name string nullable
          • protocols array[string] nullable
          • supports array[string] nullable
          • updated_at string<date-time>
          • version string nullable
        • inventory object nullable
          • id string<uuid>
          • name string
          • residency string nullable
          • type string
        • last_check string<date-time> nullable
        • location string nullable
        • name string
        • protocol string
        • resource object nullable
          • class string
          • configured_connectors array[object]
            • country_detected string nullable
            • id string<uuid>
            • integration object
              • created_at string<date-time>
              • fields map[array[object]] nullable
              • id string<uuid>
              • name string nullable
              • protocols array[string] nullable
              • supports array[string] nullable
              • updated_at string<date-time>
              • version string nullable
            • name string
            • residency string nullable
            • type string
          • country_detected string nullable
          • coverage_status string
          • excluded_from_coverage boolean
          • id string<uuid>
          • inventory_id string<uuid>
          • inventory_name string
          • inventory_type string
          • locked boolean
          • name string
          • residency string nullable
          • service string
          • subclass string
          • tags array[string]
          • urn string
          • urn_id string<uuid>
        • revision integer
        • root string
        • temperature string nullable
        • type string
        • updated_at string<date-time>
      • schedule object
        • concurrency integer nullable
        • enabled boolean
        • miss_strategy string
        • priority integer nullable
        • rules array[object]
          • enabled boolean
          • id string<uuid>
          • jitter integer nullable
            Max: 1.8446744073709552e+19
          • journalized boolean nullable
          • periodicity integer nullable
            Max: 1.8446744073709552e+19
          • start string<date-time> nullable
      • scheduler_actor string nullable
      • scheduler_id string<uuid>
      • scheduler_revision integer
      • sla_template object nullable
        • id string<uuid>
        • name string
        • temporalities map[object] nullable
          • created_at string<date-time>
          • frequency integer
          • id string<uuid>
          • replicas map[array[object]] nullable
          • retention integer
          • start_time string<date-time>
          • storage_tier string nullable
          • store_id string<uuid>
          • updated_at string<date-time>
      • target object nullable
        • created_at string<date-time>
        • data_classes array[string] nullable
        • endpoints array[object]
          • endpoint string
        • environment string nullable
        • id string<uuid>
        • integration object
          • created_at string<date-time>
          • fields map[array[object]] nullable
          • id string<uuid>
          • name string nullable
          • protocols array[string] nullable
          • supports array[string] nullable
          • updated_at string<date-time>
          • version string nullable
        • inventory object nullable
          • id string<uuid>
          • name string
          • residency string nullable
          • type string
        • last_check string<date-time> nullable
        • location string nullable
        • name string
        • protocol string
        • resource object nullable
          • class string
          • configured_connectors array[object]
            • country_detected string nullable
            • id string<uuid>
            • integration object
              • created_at string<date-time>
              • fields map[array[object]] nullable
              • id string<uuid>
              • name string nullable
              • protocols array[string] nullable
              • supports array[string] nullable
              • updated_at string<date-time>
              • version string nullable
            • name string
            • residency string nullable
            • type string
          • country_detected string nullable
          • coverage_status string
          • excluded_from_coverage boolean
          • id string<uuid>
          • inventory_id string<uuid>
          • inventory_name string
          • inventory_type string
          • locked boolean
          • name string
          • residency string nullable
          • service string
          • subclass string
          • tags array[string]
          • urn string
          • urn_id string<uuid>
        • revision integer
        • root string
        • temperature string nullable
        • type string
        • updated_at string<date-time>
      • type string
      • updated_at string<date-time>

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/scheduling/scheduler/run' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "config": {
    "after": 0,
    "before": 0,
    "day": 0,
    "exec": {
      "concurrency": 0,
      "cpu": 0
    },
    "format": "string",
    "hooks": {
      "post_job": "string",
      "pre_job": "string"
    },
    "hour": 0,
    "ignores": [
      "string"
    ],
    "labels": [
      "string"
    ],
    "latest": true,
    "locate": {
      "filters": {
        "before": "2026-01-01T00:00:00Z",
        "category": "string",
        "data_classes": [
          "string"
        ],
        "dataset": "string",
        "environment": "string",
        "ids": [
          "string"
        ],
        "ignore_tags": [
          "string"
        ],
        "job": "string",
        "latest": true,
        "name": "string",
        "origins": [
          "string"
        ],
        "perimeter": "string",
        "roots": [
          "string"
        ],
        "since": "2026-01-01T00:00:00Z",
        "tags": [
          "string"
        ],
        "types": [
          "string"
        ]
      },
      "group_by": "string",
      "periods": {
        "day": {
          "cap": 0,
          "keep": 0
        },
        "friday": {
          "cap": 0,
          "keep": 0
        },
        "hour": {
          "cap": 0,
          "keep": 0
        },
        "minute": {
          "cap": 0,
          "keep": 0
        },
        "monday": {
          "cap": 0,
          "keep": 0
        },
        "month": {
          "cap": 0,
          "keep": 0
        },
        "saturday": {
          "cap": 0,
          "keep": 0
        },
        "sunday": {
          "cap": 0,
          "keep": 0
        },
        "thursday": {
          "cap": 0,
          "keep": 0
        },
        "tuesday": {
          "cap": 0,
          "keep": 0
        },
        "wednesday": {
          "cap": 0,
          "keep": 0
        },
        "week": {
          "cap": 0,
          "keep": 0
        },
        "year": {
          "cap": 0,
          "keep": 0
        }
      }
    },
    "minute": 0,
    "month": 0,
    "per_day": 0,
    "per_hour": 0,
    "per_minute": 0,
    "per_month": 0,
    "per_week": 0,
    "per_year": 0,
    "root": "string",
    "snapshot_id": "string",
    "snapshot_ids": [
      "string"
    ],
    "week": 0,
    "year": 0
  },
  "edge_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "edge_tags": [
    "string"
  ],
  "origin_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "run_at": "2026-01-01T00:00:00Z",
  "target_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "type": "string"
}'

Response 200

{
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "job": {
    "created_at": "2026-01-01T00:00:00Z",
    "error": "string",
    "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
    "schedule_at": "2026-01-01T00:00:00Z",
    "schedule_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
    "started_at": "2026-01-01T00:00:00Z",
    "status": "string",
    "stopped_at": "2026-01-01T00:00:00Z",
    "task": {
      "config": {},
      "created_at": "2026-01-01T00:00:00Z",
      "edge_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "edge_tags": [
        "string"
      ],
      "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "origin": {
        "created_at": "2026-01-01T00:00:00Z",
        "data_classes": [
          "string"
        ],
        "endpoints": [
          {
            "endpoint": "string"
          }
        ],
        "environment": "string",
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
        "integration": {
          "created_at": "2026-01-01T00:00:00Z",
          "fields": {
            "key": [
              {
                "default": "string",
                "description": "string",
                "display_name": "string",
                "enum": [
                  "string"
                ],
                "inventory_value": "string",
                "name": "string",
                "pattern": "string",
                "required": true,
                "sensitive": true,
                "type": "string"
              }
            ]
          },
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "name": "string",
          "protocols": [
            "string"
          ],
          "supports": [
            "string"
          ],
          "updated_at": "2026-01-01T00:00:00Z",
          "version": "string"
        },
        "inventory": {
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "name": "string",
          "residency": "string",
          "type": "string"
        },
        "last_check": "2026-01-01T00:00:00Z",
        "location": "string",
        "name": "string",
        "protocol": "string",
        "resource": {
          "class": "string",
          "configured_connectors": [
            {
              "country_detected": "string",
              "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
              "integration": {
                "created_at": "2026-01-01T00:00:00Z",
                "fields": {
                  "key": [
                    {
                      "default": "string",
                      "description": "string",
                      "display_name": "string",
                      "enum": [
                        "string"
                      ],
                      "inventory_value": "string",
                      "name": "string",
                      "pattern": "string",
                      "required": true,
                      "sensitive": true,
                      "type": "string"
                    }
                  ]
                },
                "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
                "name": "string",
                "protocols": [
                  "string"
                ],
                "supports": [
                  "string"
                ],
                "updated_at": "2026-01-01T00:00:00Z",
                "version": "string"
              },
              "name": "string",
              "residency": "string",
              "type": "string"
            }
          ],
          "country_detected": "string",
          "coverage_status": "string",
          "excluded_from_coverage": true,
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "inventory_name": "string",
          "inventory_type": "string",
          "locked": true,
          "name": "string",
          "residency": "string",
          "service": "string",
          "subclass": "string",
          "tags": [
            "string"
          ],
          "urn": "string",
          "urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
        },
        "revision": 0,
        "root": "string",
        "temperature": "string",
        "type": "string",
        "updated_at": "2026-01-01T00:00:00Z"
      },
      "schedule": {
        "concurrency": 0,
        "enabled": true,
        "miss_strategy": "string",
        "priority": 0,
        "rules": [
          {
            "enabled": true,
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "jitter": 0,
            "journalized": true,
            "periodicity": 0,
            "start": "2026-01-01T00:00:00Z"
          }
        ]
      },
      "scheduler_actor": "string",
      "scheduler_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "scheduler_revision": 0,
      "sla_template": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
        "name": "string",
        "temporalities": {
          "key": {
            "created_at": "2026-01-01T00:00:00Z",
            "frequency": 0,
            "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "replicas": {
              "key": [
                {
                  "created_at": "2026-01-01T00:00:00Z",
                  "from": 0,
                  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
                  "residency": "string",
                  "to": 0,
                  "updated_at": "2026-01-01T00:00:00Z"
                }
              ]
            },
            "retention": 0,
            "start_time": "2026-01-01T00:00:00Z",
            "storage_tier": "string",
            "store_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
            "updated_at": "2026-01-01T00:00:00Z"
          }
        }
      },
      "target": {
        "created_at": "2026-01-01T00:00:00Z",
        "data_classes": [
          "string"
        ],
        "endpoints": [
          {
            "endpoint": "string"
          }
        ],
        "environment": "string",
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
        "integration": {
          "created_at": "2026-01-01T00:00:00Z",
          "fields": {
            "key": [
              {
                "default": "string",
                "description": "string",
                "display_name": "string",
                "enum": [
                  "string"
                ],
                "inventory_value": "string",
                "name": "string",
                "pattern": "string",
                "required": true,
                "sensitive": true,
                "type": "string"
              }
            ]
          },
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "name": "string",
          "protocols": [
            "string"
          ],
          "supports": [
            "string"
          ],
          "updated_at": "2026-01-01T00:00:00Z",
          "version": "string"
        },
        "inventory": {
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "name": "string",
          "residency": "string",
          "type": "string"
        },
        "last_check": "2026-01-01T00:00:00Z",
        "location": "string",
        "name": "string",
        "protocol": "string",
        "resource": {
          "class": "string",
          "configured_connectors": [
            {
              "country_detected": "string",
              "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
              "integration": {
                "created_at": "2026-01-01T00:00:00Z",
                "fields": {
                  "key": [
                    {
                      "default": "string",
                      "description": "string",
                      "display_name": "string",
                      "enum": [
                        "string"
                      ],
                      "inventory_value": "string",
                      "name": "string",
                      "pattern": "string",
                      "required": true,
                      "sensitive": true,
                      "type": "string"
                    }
                  ]
                },
                "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
                "name": "string",
                "protocols": [
                  "string"
                ],
                "supports": [
                  "string"
                ],
                "updated_at": "2026-01-01T00:00:00Z",
                "version": "string"
              },
              "name": "string",
              "residency": "string",
              "type": "string"
            }
          ],
          "country_detected": "string",
          "coverage_status": "string",
          "excluded_from_coverage": true,
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "inventory_name": "string",
          "inventory_type": "string",
          "locked": true,
          "name": "string",
          "residency": "string",
          "service": "string",
          "subclass": "string",
          "tags": [
            "string"
          ],
          "urn": "string",
          "urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
        },
        "revision": 0,
        "root": "string",
        "temperature": "string",
        "type": "string",
        "updated_at": "2026-01-01T00:00:00Z"
      },
      "type": "string",
      "updated_at": "2026-01-01T00:00:00Z"
    }
  }
}

Get a one-off task

GET /api/v1/scheduling/scheduler/run/{at_id}
Badge

Path parameters

  • at_id string required

Query parameters

  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 OK application/json

  • id string<uuid>
  • job object nullable
    • created_at string<date-time>
    • error string nullable
    • id string<uuid>
    • schedule_at string<date-time>
    • schedule_id string<uuid>
    • started_at string<date-time> nullable
    • status string
    • stopped_at string<date-time> nullable
    • task object
      • config
      • created_at string<date-time>
      • edge_id string<uuid>
      • edge_tags array[string] nullable
      • id string<uuid>
      • origin object nullable
        • created_at string<date-time>
        • data_classes array[string] nullable
        • endpoints array[object]
          • endpoint string
        • environment string nullable
        • id string<uuid>
        • integration object
          • created_at string<date-time>
          • fields map[array[object]] nullable
          • id string<uuid>
          • name string nullable
          • protocols array[string] nullable
          • supports array[string] nullable
          • updated_at string<date-time>
          • version string nullable
        • inventory object nullable
          • id string<uuid>
          • name string
          • residency string nullable
          • type string
        • last_check string<date-time> nullable
        • location string nullable
        • name string
        • protocol string
        • resource object nullable
          • class string
          • configured_connectors array[object]
            • country_detected string nullable
            • id string<uuid>
            • integration object
              • created_at string<date-time>
              • fields map[array[object]] nullable
              • id string<uuid>
              • name string nullable
              • protocols array[string] nullable
              • supports array[string] nullable
              • updated_at string<date-time>
              • version string nullable
            • name string
            • residency string nullable
            • type string
          • country_detected string nullable
          • coverage_status string
          • excluded_from_coverage boolean
          • id string<uuid>
          • inventory_id string<uuid>
          • inventory_name string
          • inventory_type string
          • locked boolean
          • name string
          • residency string nullable
          • service string
          • subclass string
          • tags array[string]
          • urn string
          • urn_id string<uuid>
        • revision integer
        • root string
        • temperature string nullable
        • type string
        • updated_at string<date-time>
      • schedule object
        • concurrency integer nullable
        • enabled boolean
        • miss_strategy string
        • priority integer nullable
        • rules array[object]
          • enabled boolean
          • id string<uuid>
          • jitter integer nullable
            Max: 1.8446744073709552e+19
          • journalized boolean nullable
          • periodicity integer nullable
            Max: 1.8446744073709552e+19
          • start string<date-time> nullable
      • scheduler_actor string nullable
      • scheduler_id string<uuid>
      • scheduler_revision integer
      • sla_template object nullable
        • id string<uuid>
        • name string
        • temporalities map[object] nullable
          • created_at string<date-time>
          • frequency integer
          • id string<uuid>
          • replicas map[array[object]] nullable
          • retention integer
          • start_time string<date-time>
          • storage_tier string nullable
          • store_id string<uuid>
          • updated_at string<date-time>
      • target object nullable
        • created_at string<date-time>
        • data_classes array[string] nullable
        • endpoints array[object]
          • endpoint string
        • environment string nullable
        • id string<uuid>
        • integration object
          • created_at string<date-time>
          • fields map[array[object]] nullable
          • id string<uuid>
          • name string nullable
          • protocols array[string] nullable
          • supports array[string] nullable
          • updated_at string<date-time>
          • version string nullable
        • inventory object nullable
          • id string<uuid>
          • name string
          • residency string nullable
          • type string
        • last_check string<date-time> nullable
        • location string nullable
        • name string
        • protocol string
        • resource object nullable
          • class string
          • configured_connectors array[object]
            • country_detected string nullable
            • id string<uuid>
            • integration object
              • created_at string<date-time>
              • fields map[array[object]] nullable
              • id string<uuid>
              • name string nullable
              • protocols array[string] nullable
              • supports array[string] nullable
              • updated_at string<date-time>
              • version string nullable
            • name string
            • residency string nullable
            • type string
          • country_detected string nullable
          • coverage_status string
          • excluded_from_coverage boolean
          • id string<uuid>
          • inventory_id string<uuid>
          • inventory_name string
          • inventory_type string
          • locked boolean
          • name string
          • residency string nullable
          • service string
          • subclass string
          • tags array[string]
          • urn string
          • urn_id string<uuid>
        • revision integer
        • root string
        • temperature string nullable
        • type string
        • updated_at string<date-time>
      • type string
      • updated_at string<date-time>

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/scheduling/scheduler/run/{at_id}' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "job": {
    "created_at": "2026-01-01T00:00:00Z",
    "error": "string",
    "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
    "schedule_at": "2026-01-01T00:00:00Z",
    "schedule_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
    "started_at": "2026-01-01T00:00:00Z",
    "status": "string",
    "stopped_at": "2026-01-01T00:00:00Z",
    "task": {
      "config": {},
      "created_at": "2026-01-01T00:00:00Z",
      "edge_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "edge_tags": [
        "string"
      ],
      "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "origin": {
        "created_at": "2026-01-01T00:00:00Z",
        "data_classes": [
          "string"
        ],
        "endpoints": [
          {
            "endpoint": "string"
          }
        ],
        "environment": "string",
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
        "integration": {
          "created_at": "2026-01-01T00:00:00Z",
          "fields": {
            "key": [
              {
                "default": "string",
                "description": "string",
                "display_name": "string",
                "enum": [
                  "string"
                ],
                "inventory_value": "string",
                "name": "string",
                "pattern": "string",
                "required": true,
                "sensitive": true,
                "type": "string"
              }
            ]
          },
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "name": "string",
          "protocols": [
            "string"
          ],
          "supports": [
            "string"
          ],
          "updated_at": "2026-01-01T00:00:00Z",
          "version": "string"
        },
        "inventory": {
          "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
          "name": "string",
          "residency": "string",
[...]
